
#include "chordrtable.h"

int main()
{
	class ChordRtable objRT;
	Bigint B("10101010101010101010", HEX_DIGIT);
	objRT.setNodeID(B);
	objRT.setHASH_SIZE(80);
	struct peerinfo stP1;
	for(int i =0; i<10; i++)
	{
		stP1.peerid[0] = i;
	}
	objRT.Insert(stP1);
	cout<<"this is the total number : "<<objRT.getTotalNum();
}
